cURL
curl --request GET \
--url https://api.eka.care/abdm/v1/profile/asset/qr \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/abdm/v1/profile/asset/qr"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/abdm/v1/profile/asset/qr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"dist name": "<string>",
"distlgd": "<string>",
"district_name": "<string>",
"dob": "<string>",
"gender": "<string>",
"hid": "<string>",
"hidn": "<string>",
"mobile": "<string>",
"name": "<string>",
"phr": "<string>",
"state name": "<string>",
"statelgd": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Profile Management
ABHA QR Code
Fetch the data for ABHA qr code display.
Please cache these results locally. We do not recommend calling this API on every page load. Evict the cache when there is profile update.
There is no fixed structure for this JSON; it can vary depending on the creation of ABHA. Generate the QR code based on the content of the response body.
GET
/
abdm
/
v1
/
profile
/
asset
/
qr
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
Available options:
json OID is used to Identify the user.
Was this page helpful?
⌘I

